org.jbpm.workflow.instance.node

## Class StateNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.StateBasedNodeInstance
      - - org.jbpm.workflow.instance.node.CompositeNodeInstance
        - - org.jbpm.workflow.instance.node.CompositeContextNodeInstance
          - - org.jbpm.workflow.instance.node.StateNodeInstance

- All Implemented Interfaces:
    Serializable, ContextableInstance, ContextInstanceContainer, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, org.kie.api.runtime.process.EventListener, org.kie.api.runtime.process.NodeInstance, org.kie.api.runtime.process.NodeInstanceContainer

      public class StateNodeInstance
      extends CompositeContextNodeInstance
      implements org.kie.api.runtime.process.EventListener

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance

      `CompositeNodeInstance.CompositeNodeEndInstance, CompositeNodeInstance.CompositeNodeStartInstance`

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `aborted, dynamicParameters, slaCompliance, slaDueDate, slaTimerId, triggerTime, UNIQUE_ID`

    - ### Fields inherited from interface org.jbpm.workflow.instance.NodeInstance

      `METADATA_WRAP_ASYNC_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activationCreated(org.kie.api.event.rule.MatchCreatedEvent event)`
    `void` | `addEventListeners()`
    `String[]` | `getEventTypes()`
    `protected StateNode` | `getStateNode()`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `protected boolean` | `isLinkedIncomingNodeRequired()`
    `void` | `removeEventListeners()`
    `void` | `signalEvent(String type, Object event)`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.CompositeContextNodeInstance

      `addContextInstance, getCompositeContextNode, getContextContainer, getContextInstance, getContextInstance, getContextInstance, getContextInstances, removeContextInstance, setContextInstance`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance

      `addNodeInstance, cancel, getCompositeNode, getCurrentLevel, getFirstNodeInstance, getIterationLevels, getLevelForNode, getNodeContainer, getNodeInstance, getNodeInstance, getNodeInstance, getNodeInstances, getNodeInstances, getNodeInstances, getNodeInstances, getState, internalTriggerOnlyParent, nodeInstanceCompleted, removeNodeInstance, setCurrentLevel, setProcessInstance, setState, triggerCompleted, useAsync`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `addTimerListener, checkDeclarationMatch, checkProcessInstance, configureSla, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getTimerInstances, handleSLAViolation, internalSetTimerInstances, mapDynamicOutputData, registerBoundaryEvents, resolveVariable, triggerCompleted, triggerCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `executeAction, followConnection, getExecutionErrorHandler, getFrom, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getTriggerTime, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isAborted, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StateNodeInstance

          public StateNodeInstance()

  - ### Method Detail

    - #### getStateNode

          protected StateNode getStateNode()

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Overrides:
        `internalTrigger` in class `CompositeNodeInstance`

    - #### isLinkedIncomingNodeRequired

          protected boolean isLinkedIncomingNodeRequired()

      Overrides:
        `isLinkedIncomingNodeRequired` in class `CompositeNodeInstance`

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `EventNodeInstanceInterface`
      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.EventListener`
      Overrides:
        `signalEvent` in class `CompositeNodeInstance`

    - #### addEventListeners

          public void addEventListeners()

      Specified by:
        `addEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `addEventListeners` in class `CompositeNodeInstance`

    - #### removeEventListeners

          public void removeEventListeners()

      Specified by:
        `removeEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `removeEventListeners` in class `CompositeNodeInstance`

    - #### getEventTypes

          public String[] getEventTypes()

      Specified by:
        `getEventTypes` in interface `org.kie.api.runtime.process.EventListener`
      Overrides:
        `getEventTypes` in class `StateBasedNodeInstance`

    - #### activationCreated

          public void activationCreated(org.kie.api.event.rule.MatchCreatedEvent event)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.